/*
 *      Program do przegladania logow z ekg.
 *	Statystyki.
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __CMD_STATS_HH__
#define __CMD_STATS_HH__


#include "command-base.h"
#include "texts.h"

/**
 * @brief Komenda stats
 */
class cmd_stats_t : public command_base_t {
public:

	cmd_stats_t() :  command_base_t("stats", HELP_STATS_SHORT,
				HELP_STATS_LONG,true,true)
	{
		prepareComp();
	}

	void run(const std::vector<std::string> & argv)
	{
	} // run()


private:
	void prepareCompl()
	{
		_completition.clear();
		for (const_str_iterator i = _nicks->str_begin(); i!=_nicks->str_end(); ++i)
			_completition.push_back(*i);

		return _completition;
	}
};

#endif /* __CMD_STATS_HH__ */
